Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version: 1.3.1

Description

The CSV export gained the ability to display all sorts of columns through #4742 (tested with Redmine r8808, 1.3-stable branch), but

the current implementation bypasses the column API, thereby breaking custom columns (e.g. provided by plugins).

issues_to_csv calls value = issue.send(column.name) for non-custom-field columns, even though QueryColumn defines

#value(issue) to retrieve the column's value, if I understand that correctly.

Associated revisions

Revision 9381 - 2012-04-09 23:32 - Jean-Philippe Lang

CSV export breaks custom columns (#10168).

History

#1 - 2012-04-09 23:33 - Jean-Philippe Lang

- Target version set to 1.4.0

- Resolution set to Fixed

Committed in r9381, thanks.

#2 - 2012-04-14 06:51 - Jean-Philippe Lang

- Status changed from New to Closed

Merged.

Files

csv_column.patch 515 Bytes 2012-02-07 Wolfgang Schnerring
